~db_container
Prev | Chapter 3. Db_container | Next

## ~db_container

### Function Details

    virtual ~db_container()

The backing database is not closed in this function.

It is closed when current thread exits and the database is no longer referenced by any other container instances in this process. In order to make the reference counting work alright, you must call register_db(Db*) and register_db_env(DbEnv*) correctly.

#### See Also

register_db(Db*) register_db_env(DbEnv*)

### Class

db_container

Prev | Up | Next
db_container | Home | Chapter 4. Db_vector